HttpRequest::setMethod
HttpRequest::setPostFields
The HttpRequest
PHP Manual

# HttpRequest::setOptions

(PECL pecl_http:0.10.0-1.5.5)

HttpRequest::setOptions — Set options

### Description

public bool HttpRequest::setOptions ([ array `$options` ] )

Set the request options to use.

See the full list of request options.

### Parameters

`options`

  an associative array, which values will overwrite the currently set request options; if empty or omitted, the options of the HttpRequest object will be reset

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

HttpRequest::setMethod
HttpRequest::setPostFields
The HttpRequest
PHP Manual